﻿
//	thomas.d.papadopoulos@gmail.com

function readModel()
{

	// TEXT DATA

	titleText = 'Πύργοι με χρωματιστά κυβάκια';
	
	problemText =	'Στον πάνω καμβά έχουν φτιαχτεί όλοι οι πύργοι που μπορούν να γίνουν με έναν κόκκινο και έναν πορτοκαλί κύβο.<br>' +
					'α) Κατασκευάστε στον διπλανό καμβά όλους τους πύργους που μπορούν να γίνουν με έναν κόκκινο, έναν πορτοκαλί και έναν πράσινο κύβο. <br>' +
					'β) Πόσους πύργους μπορείτε να φτιάξετε με τέσσερις κύβους διαφορετικών χρωμάτων; <br><br>'+
					'Βασική ιδέα: Δραστηριότητα 684 - Πρόγραμμα Εκπαίδευσης Μουσουλμανοπαίδων http://goo.gl/iRqAx ' ;

	authorText = 'Φακούδης Βαγγέλης - Λάτση Μαρία';
	
	
	// last update
	
	// COLORS
	// Must always be 10 color hex values. The first one (index 0) is for internal use. You may change indices 1 .. 9.
	
	colors = [ 0x000000, 0xDF1F1F, 0xDFAF1F, 0x80DF1F, 0x006633, 0x1FDFDF, 0x1F4FDF, 0x7F1FDF, 0xDF1FAF, 0x000000 ];
	
	wireFrame = true;
	
	// end of last update	
	
	
	// DIMENSIONING
	
	gridDimension = 500;			
	cubeDimension = 50;	// this must be constant
	gridDensity = Math.floor(gridDimension / cubeDimension);
	
	// altered 8.6.13
	
	// COUNTERS
	
	init_show	= true;	// show number of blocks added by author
	usr_show	= true;	// show number of blocks added by user
	rare_show	= true;	// show number of blocks added by author, but deleted by user
	tot_show	= true;	// show total number of blocks currently in canvas
	
	// end of 8.6.13		
	
	// MODEL DATA: 1 .. 9  for colorful cubes, 0 for empty space. Number of rows, columns and towers height must be equal to gridDensity.
	
	modelGeometry = 
[
		[	// 1st row
			[1,2,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column		
		],
		[	// 2nd row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column					
		],
		[	//3rd row	
			[2,1,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column		
		],
		[	// 4th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column	
		],
		[	// 5th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column	
		],
		[	// 6th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column	
		],
		[	// 7th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column			
		],	
		[	// 8th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column			
		],
		[	// 9th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column			
		],
		[	// 10th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column			
		]		
	];	


	
	// CANVAS DATA: 1 .. 9  for colorful cubes, 0 for empty space. Number of rows, columns and towers height must be equal to gridDensity.

	canvasGeometry = 
	[
		[	// 1st row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column
		],
		[	// 2nd row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column		
		],
		[	//3rd row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column				
		],
		[	// 4th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column				
		],
		[	// 5th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column				
		],
		[	// 6th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column			
		],
		[	// 7th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column			
		],	
		[	// 8th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column			
		],
		[	// 9th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column			
		],
		[	// 10th row
			[0,0,0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 8th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 9th column
			[0,0,0,0,0,0,0,0,0,0],	// tower in 10th column			
		]		
	];	

}